#ifndef __TONEMAPPER_H
#define __TONEMAPPER_H

#include "common.h"

namespace CHCDemoEngine 
{

class ColorBufferObject;

/** Class representing a tone mapping algorithm
*/
class ToneMapper
{
public:
	
	ToneMapper();
	/** Caculates scene luminance.
	*/
	bool CalcLuminance(ColorBufferObject *colorBuffer);


protected:

	float mImageKey;
	float mPreviousImageKey;
	float mCurrentImageKey;
};

}

#endif // __TONEMAPPER_H