#include "ToneMapper.h"
#include "FrameBufferObject.h"


namespace CHCDemoEngine 
{

ToneMapper::ToneMapper(): mImageKey(.0f), mPreviousImageKey(.0f), mCurrentImageKey(.0f)
{
}


bool ToneMapper::CalcLuminance(ColorBufferObject *colorBuffer)
{
	int i = 0, j = 0;
	float Rfloat, Gfloat, Bfloat;

	int pixRGBE;

	float pixLum = 0; 
	float totalLum = 0;
	float pixNum = 0;
	
	float *pixels = (float *)colorBuffer->ReadTexture();

	/*
	V_RETURN( pd3dDevice->GetRenderTargetData( pSourceRenderTarget, pPixelData ) );
	 
	D3DSURFACE_DESC descSrc;
    pPixelData->GetDesc( &descSrc );
	
	number_of_pixels = (float)(descSrc.Height * descSrc.Width);

	// Lock the source texture for reading
    D3DLOCKED_RECT rcSrc;
    V_RETURN( pPixelData->LockRect( &rcSrc, NULL, D3DLOCK_READONLY ) );
	
	// Location of texture data
	D3DXFLOAT16* pSourcePixels = (D3DXFLOAT16*)rcSrc.pBits;

	int localwidth = descSrc.Width;
	int localheight = descSrc.Height; 	
	g_start = g_myTimer.GetTime();
	
	// Get full scene luminance
	for( i = 0; i < localheight; i++ )
	{
		for( j = 0; j < localwidth; j++ )
		{
			RGBEpixel = i * (localwidth) + j;
			Rfloat =(float)pSourcePixels[4*RGBEpixel + 0]/255;
			Gfloat =(float)pSourcePixels[4*RGBEpixel + 1]/255;
			Bfloat =(float)pSourcePixels[4*RGBEpixel + 2]/255;

			PixelLuminance = 0.2125f * Rfloat + 0.7154f * Gfloat + 0.0721f * Bfloat;

			TotalLuminance += (PixelLuminance + 0.001f);
		}
	}

	g_stop = g_myTimer.GetTime();

	g_dLumCalcTime = (double)g_stop - (double)g_start;	

	pPixelData->UnlockRect();	
	

	g_fCurrentImageKey = (1/number_of_pixels) * TotalLuminance;

	if(g_firstrun)
	{
		g_fPreviousImageKey = g_fCurrentImageKey;
		g_firstrun = !g_firstrun;
	}

	float diff = (g_fCurrentImageKey - g_fPreviousImageKey);

	// Constrain the luminance change to be more realistic
	if (diff > 0.05f)
	{
		g_fImageKey = g_fPreviousImageKey + 0.05f;
		g_fPreviousImageKey = g_fImageKey;
	}
	else if (diff < -0.05f)
	{
		g_fImageKey = g_fPreviousImageKey - 0.05f;
		g_fPreviousImageKey = g_fImageKey;
	}
	else
	{
		g_fImageKey = g_fCurrentImageKey;
		g_fPreviousImageKey = g_fImageKey;
	}
	
	return S_OK;
	*/
	return true;
}

}